/*
DL2 Monitor: ./pa/udp.h
Copyright (C) 2002, Rolf Jger, Ulm (Germany)

See the file README for information on usage and redistribution
of this source code file, and for a DISCLAIMER OF ALL WARRANTIES.
*/

/*----------------------------------------------------------------------------
 * Datalink Monitor (udp): Packet Type udp (local)
 * creates the Pa_Packet object pa_udp: see pa.h for details. 
 *
 * Author: Rolf Jger,Ulm
 *----------------------------------------------------------------------------
 * YYYYMMDD  History
 * 20020427  fields defined according to rfc768. 
 * 20020410  attention to reserved verbose flags. 
 * 20020330  created from scratch
 * $Id: udp.h,v 1.4 2002/04/29 17:41:06 dv Exp $
 *----------------------------------------------------------------------------
*/
# ifndef __UDP_H__
# define __UDP_H__
# include "pa/pa.h"

static Pa_Config pa_udp_field[] = {
  {"source-port","SP",0}, 
  {"destination-port","DP",1}, 
  {"length","FL",2},
  {"checksum","CS",3}, 
  {"data","FD",4},
  {NULL,NULL,-1}
};
const Pa_Packet pa_udp = {"udp",pa_udp_field};

# define UDP_Msource_port		0x00000001
# define UDP_Mdestination_port		0x00000002
# define UDP_Mlength			0x00000004
# define UDP_Mchecksum			0x00000008
# define UDP_Mdata			0x00000010
# define UDP_Mdefault			PA_VMdefault
# define UDP_Mpacket_length		PA_VMpacket_length

# define UDP_F(i)			pa_udp_field[i].oname
# define UDP_Fsource_port		UDP_F(0)
# define UDP_Fdestination_port		UDP_F(1)
# define UDP_Flength			UDP_F(2)
# define UDP_Fchecksum			UDP_F(3)
# define UDP_Fdata			UDP_F(4)
# define UDP_Fpacket_length		PA_VFpacket_length

# endif /*__UDP_H__*/
